* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
body {
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  background: rgba(94, 104, 250, 0.856);
}

.wrapper {
  width: 30%;
  background: white;
  display: grid;
  grid-template-rows: 10% 25% 65%;
  align-items: center;
  height: 70vh;
  padding: 10px 20px;
  grid-gap: 10px;
}

.top {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.top .title {
  font-size: 1.25rem;
  font-weight: bold;
}
.map {
  transform: scale(1.2);
  background-image: url("./img/map.png");
  box-shadow: 0px 5px 5px rgba(0, 0, 0, 0.404);
  position: relative;
  height: 100%;
}
.map .overlay {
  height: 100%;
  background: rgba(12, 26, 226, 0.616);
  color: white;
  padding: 10px 30px;
  display: grid;
  grid-template-rows: repeat(2, 1fr);
}

.button {
  position: absolute;
  right: 30px;
  bottom: -15px;
}
.button button {
  color: white;
  text-transform: uppercase;
  padding: 3px;
  background: royalblue;
  border: none;
  outline: none;
  display: flex;
  align-items: center;
}
.cities {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.line {
  width: 50%;
  height: 2px;
  background: white;
  position: relative;
}
.line::before,
.line::after {
  content: "";
  position: absolute;
  border-radius: 50%;
  height: 8px;
  background: white;
  width: 8px;
  top: -100%;
}
.line::after {
  right: -8px;
}
.bus {
  position: absolute;
  left: 20%;
  top: -20px;
  width: 10%;
}
.detail {
  display: flex;
  justify-content: space-between;
}
.options {
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  padding: 20px 0;
}
.options .title {
  font-weight: bold;
  font-size: 1rem;
}

ul li {
  list-style-type: none;
  display: grid;
  grid-template-columns: 15% 80%;
  align-items: center;
}
.option span {
  display: block;
  color: gray;
}
.option {
  font-weight: 500;
}
.street {
  width: 100%;
  height: 60px;
  position: relative;
}
.streetimage {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.location {
  position: absolute;
  top: 50%;
  left: 5%;
  transform: scale(1.2) translateY(-50%);
}
